---
title: The Mystery of Camp

date: 2024-08-09

taxonomies:
    tags:
    - Chris & Abbie Cochrun
    - Camp
    - Newsletter

featured~image~: \"featured.jpg\"
description: More than anything I\'ve yet to experience, TFC Camp is a magical place. I have loved it so much since I was a teenager and went myself. It was the place God changed my life...
---

# The Mystery of Camp {#the-mystery-of-camp-1}

More than anything I\'ve yet to experience, TFC Camp is a magical place. I have loved it so much since I was a teenager and went myself. It was the place God changed my life, and the place where I found so many incredible friends that shaped who I became. I\'ve never been able to put into words quite how astounding camp is and what God has done there. This year, I was blessed with having some remarkable conversations with kids and volunteers alike about their experience at camp, and their joy as God did His thing there yet again. I thought I would share some of the cool things they said in this months newsletter. Check them our below!

{{\< figure src=asa.jpg alt=\"Asa and the kid he poured hours into!\" caption=\"Asa and the kid he poured hours into!\" \>}}

> "This week has been incredible. I got to help in the kitchen at the first week of TFC camp and I am SO thankful for that!! This year my kids attended their second year and I was invited to help serve in the kitchen and got to bring my littles. It was hard work. It was exhausting. It was NOT enough sleep. But it was also one of the biggest blessings to myself and my children. The staff are unparalleled. Exceptional. More than my vocabulary can describe. The way they pour out love on every single person in their path. The way they spread the gospel and Jesus' love on anything that moves. The respect, appreciation, encouragement, love, kindness and joy that they spread thicker than sand at the beach. Our week at TFC camp was beyond the words that I can express. It was such a blessing to me, and I truly believe that every moment my kids get to spend at TFC camp will bless them and change them for the rest of their lives."
>
> -   Tiffany Becker

How cool is that!!

{{\< figure src=devo.jpg alt=\"It\'s amazing watching kids do their devos in front of the cross!!\" caption=\"It\'s amazing watching kids do their devos in front of the cross!!\" \>}}

And here is a text my wife received after the first week of camp:

> "Enjoy your husband today!! ...He is turning into our "Larry". His conversations with kids was happening all the time!...The number of times we heard..."I talked to Chris", or walked past him walking with a kid intent on conversation was amazing!"

Larry was on staff with us several years ago, and went to be with Jesus in 2017. He's someone we loved very dearly, he even helped officiate our wedding! Larry had a personality and gift for just chatting with kids and loving on them well. He had many conversations about Jesus with kids that changed lives all over the place. He, more than anyone I know, was all about Jesus. Furthermore, he loved teenagers well, and loved talking with kids about life and Jesus. It's an honor to be compared to him!

{{\< figure src=skit.jpg alt=\"The kids who did a powerful skit on our last night praying for their peers!\" caption=\"The kids who did a powerful skit on our last night praying for their peers!\" \>}}

Finally, here is a message from Jack Hager, whom we\'ve had speak at camp for years and has spoke at tons of other camps too. He and his wife Jane visited these last two weeks to help out.

> "Just a written reminder that you guys are amazing. As you know, I\'ve spoken at a few camps over the decades...and although \"Camp Joy\" in and of itself is not on the top ten, TFC Connection camp is number one.
> Why?
> The blood, sweat, and tears of the months of preparation that are brought to fruition during the two weeks. It was a privilege and joy to sit in on one of the planning meetings for \"Cave\" week, so I know a bit of what goes on. But just a bit. All I know for sure is that the programming fleshes out to opportunities to steer the thinking of campers and thus impact them with the message of hope in a wide variety of ways. I do not believe there is anything like TFC anywhere in the country. There may be, but not known to me."
>
> -   Jack Hager

## My Conversations

Reading what other people thought about camp, is so affirming of what I believe camp is all about! It truly is amazing what God can do over five days of such intentional ministry. While at camp this year, I had chats with kids left and right, and some of those conversations were just incredible.

### Struggles

One kid I talked to had been struggling with some things for many years and was wanting to set things right. After he and I chatted about his struggles being all too common, you could just see his shoulders straightening. We talked about how God wants nothing more than to forgive him and give him strength to overcome it. We prayed, cried, and chatted. He called me the next week asking me to keep praying for him, and while I\'m sure he\'ll continue to struggle, as I mentioned to him, the desire to stop this thing means God is changing his heart!

### Caden

Caden and I had so many talks throughout this last week too that I can\'t even count them! He had questions about friendships, working in ministry, and bible questions galore! We chatted every day I believe and all of them I found myself just amazed at what God was doing in Caden\'s heart. In fact I\'m not even sure which thing to really tell you about because we just chatted so much!! But what I do know is that God was doing something in him. On our campfire night Caden sat with Theo and I and just broken by feeling lost as to what God is calling him to do in life, and feeling afraid that he\'d get it wrong. We comforted him, prayed with him, and reminded him over and over that God is big and nothing Caden does would ever stop him from accomplishing his mission, so when Caden is prayerfully doing what God wants him to do, he\'ll be just fine.

### Others

If I had pages and pages of newsletter, I might be able to tell you about most of the conversations I had with kids, and many too with interns. I wish I had the space to tell you all about Jeremy, Theo, Will, or Dorian, I wish I could share the heart-to-heart deep stuff about Kaylee or Cash, I wish I could tell you more about this family who sent their kids because they wanted to show their kids how they can learn about Jesus without bells and whistles at camp, and now they keep coming! Some things we hear at camp can\'t be repeated because it isn\'t our story to share, some things are just too sad, and some things are so incredible I\'m not sure anyone would believe it! Despite all that, I know this, God is good, and like He has for so long, He uses camp to do some remarkable things in the lives of kids.

### Thank You

Thank you guys for supporting us at TFC, I pray God is doing good things around your world too. If you aren\'t a part of our support team but want to be, just let me know! If you are, thank you so much for financially supporting us, it makes all this possible. And for everyone who prays for our ministry, thank you that we can rely on you to go to battle with us in prayer against much of the hard things we hear at camp. Most importantly, though, know that God is doing some cool things because you are praying!

# Cochrun Happenings

July flew by!! It's been such a fun summer with our boys in our new house! We got Ty's bday present hung up - a swing hung way up in our cottonwood tree! All of the children love it! We also had a grand 4th of July - ending with a water fight in our yard. Luke took GREAT joy soaking his Papa. :)

The boys got to enjoy the fair while I was at camp and loved the cotton candy and all of the rides!

And at the end of July, Josiah turned 6 and Luke turned 4! I was at camp for their birthdays, but they came up to visit both days so it was fun to celebrate with them a bit!

{{\< figure src=fam.png alt=\"Family Happenings\" caption=\"Family Happenings\" \>}}

> Remember that you can help by donating [here](https://secure.myvanco.com/L-Z772/campaign/C-12WG5)! We love how God provides so we can serve this community!!
